/*
** Various configuration definitions.
**
**	@(#)aslookup.h          e07@nikhef.nl (Eric Wassenaar) 951005
*/

/*
 * Default whois server.
 * This can be overruled via the environment variable AS_SERVER_HOST,
 * or (both commands) via the ``-h server'' command line option.
 * If neither is defined, you lose.
 */
#ifndef AS_SERVER_HOST
#undef  AS_SERVER_HOST		/* default is to have no server */
#endif

/*
 * Default service port.
 * This can be overruled via the environment variable AS_SERVER_PORT,
 * or (for aslookup only) via the ``-p port'' command line option.
 * If neither is defined, the default service port is used.
 */
#ifndef AS_SERVER_PORT
#define AS_SERVER_PORT	43	/* default whois service */
#endif

/*
 * Special server options.
 * This can be overruled via the environment variable AS_SERVER_OPTIONS.
 * If not defined, no special options will be used.
 * Note that the special option "-k" will be automatically inserted if
 * the ``-k'' flag is specified on the command line (both commands).
 * If you include the "-k" option here, it *must* be first.
 *
#define AS_SERVER_OPTIONS "-k"		[always keep connection open]
#define AS_SERVER_OPTIONS "-a"		[search all available databases]
#define AS_SERVER_OPTIONS "-T route"	[only select this type of records]
 */
#ifndef AS_SERVER_OPTIONS
#undef  AS_SERVER_OPTIONS	/* default is to have no special options */
#endif

/*
 * Miscellaneous constants.
 */
#define CONNTIMEOUT	6	/* timeout in secs for connect */
#define READTIMEOUT	60	/* timeout in secs for read reply */
