/*
** Declaration of functions.
**
**	@(#)defs.h              e07@nikhef.nl (Eric Wassenaar) 951017
*/

/*
** Internal modules of the traceroute utility
** ------------------------------------------
*/

	/* main.c */

int main		PROTO((int, char **));
bool ping		PROTO((ipaddr_t));
void set_defaults	PROTO((char *, int, char **));
int getval		PROTO((char *, char *, int, int));
void fatal		PROTO((char *, ...));
void error		PROTO((char *, ...));
void check_proto	PROTO((void));
void get_socket		PROTO((void));
#ifdef IP_OPTIONS
void set_options	PROTO((ipaddr_t *, int));
#endif /*IP_OPTIONS*/


	/* traceroute.c */

bool trace_route	PROTO((ipaddr_t));
int send_probe		PROTO((int, int, int, int));
int recv_reply		PROTO((int, struct timeval *));
int check_reply		PROTO((u_char *, int, int));


	/* util.c */

char *pr_type		PROTO((int));
char *pr_code		PROTO((int));
void print_from		PROTO((u_char *, int, struct in_addr));
char *inetname		PROTO((struct in_addr));
ipaddr_t getaddr	PROTO((char *));
bool gatewayaddr	PROTO((struct in_addr));
#ifdef notyet
u_short in_cksum	PROTO((u_short *, int));
#endif /*notyet*/
time_t tvsub		PROTO((struct timeval *, struct timeval *));
char *tvprint		PROTO((time_t));
void print_stats	PROTO((int));
void record_stats	PROTO((time_t));
void clear_stats	PROTO((void));
int select_mtu		PROTO((int));
bool regular_ttl	PROTO((int));


	/* misc.c */

ptr_t *xalloc		PROTO((ptr_t *, siz_t));
char *itoa		PROTO((int));
double xsqrt		PROTO((double));


	/* aslookup.c */

char *as_lookup		PROTO((struct in_addr, char *, int, bool));
int as_connect		PROTO((char *, int));
void as_disconnect	PROTO((void));
void as_put		PROTO((char *));
char *as_get		PROTO((char *, int));
char *as_netof		PROTO((struct in_addr));

/*
** External library functions
** --------------------------
*/

	/* extern */

ipaddr_t inet_addr	PROTO((CONST char *));
char *inet_ntoa		PROTO((struct in_addr));
char *index		PROTO((const char *, char));
char *rindex		PROTO((const char *, char));
char *strcpy		PROTO((char *, const char *));
char *getenv		PROTO((const char *));
ptr_t *malloc		PROTO((siz_t));
ptr_t *realloc		PROTO((ptr_t *, siz_t));
void exit		PROTO((int));
